### Method

# EDataServer SourceMailIdentity set_aliases

since: 3.24

#### Declaration [src]

    void
    e_source_mail_identity_set_aliases (
      ESourceMailIdentity* extension,
      const gchar* aliases
    )

#### Description [src]

Sets the email address aliases for this identity. These are comma-separated email addresses which may or may not contain also different name.

The internal copy of `aliases` is automatically stripped of leading and trailing whitespace. If the resulting string is empty, `NULL` is set instead.

Available since: 3.24

Sets property | `EDataServer.SourceMailIdentity:aliases`

#### Parameters

`aliases`

  Type: `const gchar*`

  The sender’s email address aliases, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.